Subject: Re: getopt_long behavior
From: "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 29 Jan 2003 23:15:07 -0000

Chris Morgan wrote:
> I've never used a flavor of linux that didn't support
> arguments and options in arbitrary(within reason) order.  I
> think if you started forcing users to enter options in a
> strict order you would be met with considerable resistance as
> this restriction is unnecessary.  I'm not asking for every
> tool to accept arguments in different orders, I'm just asking
> ofr getopt_long() to accept reordering.  All apps that use
> getopt_long() will then support argument reordering to the
> extent that getopt_long() does, all of the tools I use on
> linux boxes do so, including gcc and linker tools, without any
> trouble at all.  This behavior actually used to be supported
> in cygwin but was changed, maybe a year or a year and a half
> ago.

On Mon Sep 24 22:49:12 2001 UTC (16 months ago), to be precise.

Hmm - with that info, I found a little bit of info on cyg-dev about why the
change was made. The problem essentially being with commands that take other
commands after them:

strace ls -l #oops, getopt makes this strace -l ls

It seems like you trade ease of use in some circumstances with difficulty in
others.

> I just wanted to bring the issue back up again to see if
> cygwin tools could be made to work like their linux/unix
> counterparts again.

I guess it all depends on which you aspire to be closer to, linux or POSIX.

Personally, I'd prefer it if Cygwin didn't enforce POSIXLY_CORRECT, and
people who wanted it could set it in their environment.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/